Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libindicate-gtk
#Epoch:		0
Version:	0.3.5
Release:	1
License:	GNU/LGPLv2, GNU/LGPLv3
URL:		https://launchpad.net/libindicate
Group:		System/Libraries
Summary:	Library for applications to raise flags on DBus
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686


# Sources:
Source:		libindicate-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires:  libindicate-devel
BuildRequires:	gnome-common
BuildRequires:  gtk-doc
BuildRequires:  gtk2+-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gir-repository-devel
BuildRequires:  libffi-devel
BuildRequires:	gdk-pixbuf-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libdbusmenu-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
A small library for applications to raise "flags" on DBus for other components of the desktop to pick up and visualize. Currently used by the messaging indicator.


%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n libindicate-%{version}

%build
autoreconf -f -i

./configure \
--prefix=%_prefix 
%{__make} -j1  PKG_CONFIG_PATH=$(pwd)/libindicate:$(pwd)/libindicate-gtk 

%install
rm -rf $RPM_BUILD_ROOT
# bootstrap
make -C libindicate-gtk install DESTDIR=$RPM_BUILD_ROOT
# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Indicate-Gtk-0.2.typelib
%{_datadir}/gir-1.0/Indicate-Gtk-0.2.gir
%{_libdir}/libindicate-gtk.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libindicate-0.2/libindicate-gtk/indicator.h
%{_includedir}/libindicate-0.2/libindicate-gtk/listener.h
%{_libdir}/girepository-1.0/Indicate-Gtk-0.2.typelib
%{_libdir}/libindicate-gtk.a
%{_libdir}/libindicate-gtk.la
%{_libdir}/libindicate-gtk.so
%{_pkgconfig}/indicate-gtk.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Mar 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.3.5-1
- initial CCux package release
